summarylogtreecommitdiffstats
path: root/tvheadend.install
diff options
context:
space:
mode:
authorDan Ziemba2015-08-10 17:08:32 -0400
committerDan Ziemba2015-08-10 17:08:32 -0400
commit2d4cd50751b8afd828e05eff783aa382de4f543f (patch)
treea15120954ecc588621a0e0757d5602719f230284 /tvheadend.install
downloadaur-2d4cd50751b8afd828e05eff783aa382de4f543f.tar.gz
Copied over from aur3 with some updates
Diffstat (limited to 'tvheadend.install')
-rw-r--r--tvheadend.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/tvheadend.install b/tvheadend.install
new file mode 100644
index 000000000000..f2446007e519
--- /dev/null
+++ b/tvheadend.install
@@ -0,0 +1,24 @@
+HTS_USER=hts
+HTS_UID=1337
+HTS_GROUP=video
+
+post_install() {
+ if ! getent passwd $HTS_USER &> /dev/null; then
+ useradd -u $HTS_UID -g $HTS_GROUP -m -s /bin/false $HTS_USER &> /dev/null
+ passwd -l $HTS_USER &> /dev/null
+ echo " ==> User '$HTS_USER' created"
+ fi
+
+cat << 'EOM'
+ ==> All configuration is maintained through the web interface:
+ ==>
+ ==> http://localhost:9981/
+ ==>
+ ==> Default login without username/password.
+EOM
+}
+
+post_remove() {
+ userdel $HTS_USER &> /dev/null
+ echo " ==> User '$HTS_USER' removed"
+}